*   DATA3.FOR
*
      SUBROUTINE DATA3
*
*--defines the data for a particular run of DSMC3.FOR.
*
      include 'parameter.inc'
*
      DOUBLE PRECISION COL(MNSP,MNSP),MOVT,NCOL,SELT,SEPT,CS(7,MNC,MNSP)
*
*--set data (must be consistent with PARAMETER variables)
*
      NCX=30
      NCY=18
      NCZ=18
      NSCX=1
      NSCY=1
      NSCZ=1
      IIS=1
      ISG=1
      FTMP=300.
*--FTMP is the temperature
      FND=1.E20
*--FND is the number densty
      VFX=1936.
      VFY=0.
      VFZ=0.
      FSP(1)=1.
      FSP(2)=0.
*--FSP(N) is the number fraction of species N
      FNUM=0.2E14
*--FNUM  is the number of real molecules represented by a simulated mol.
      DTM=2.E-6
*--DTM is the time step
      CB(1)=0.0
      CB(2)=0.3
      CB(3)=0.
      CB(4)=0.18
      CB(5)=0.
      CB(6)=0.18
*--the simulated region is from x=XB(1) to x=XB(2)
      IB(1)=1
      IB(2)=1
      IB(3)=2
      IB(4)=1
      IB(5)=2
      IB(6)=1
      ISURF(1)=1
      LIMS(1,1)=1
      LIMS(1,2)=6
      LIMS(1,3)=30
      LIMS(1,4)=1
      LIMS(1,5)=18
      TSURF(1)=1000.
      ISURF(2)=5
      LIMS(2,1)=1
      LIMS(2,2)=6
      LIMS(2,3)=30
      LIMS(2,4)=1
      LIMS(2,5)=18
      TSURF(2)=1000.
      IJET=1
      XJ=0.15
      ZJ=0.09
      RJ=0.03
      FVJ=1000.
      TMPJ=300.
      FNDJ=3.E20 * 3.
      FSPJ(1)=0.
      FSPJ(2)=1.
      SP(1,1)=4.17E-10
      SP(2,1)=273.
      SP(3,1)=0.81
      SP(4,1)=1.0
      SP(5,1)=6.63E-26
      SP(1,2)=4.17E-10
      SP(2,2)=273.
      SP(3,2)=0.81
      SP(4,2)=1.0
      SP(5,2)=6.63E-26
*--SP(1,N) is the molecular diameter of species N
*--SP(2,N) is the reference temperature
*--SP(3,N) is the viscosity-temperatire index
*--SP(4,N) is the reciprocal of the VSS scattering parameter
*--SP(5,N) is the molecular mass of species N
      ISPR(1,1)=0
      SPR(1,1,1)=1.
      ISPR(2,1)=0
      ISP(1)=1
      ISPR(1,2)=0
      SPR(1,2,1)=1.
      ISPR(2,2)=0
      ISP(2)=1
*--ISPR(1,N) is the number of degrees of freedom of species N
*--SPR(1,N,K) is the constant in the polynomial for the rotational
*--relaxation collision number of species N in collision with species K
*--ISPR(2,N) is 0,1 for constant, polynomial for collision number
      NIS=2
*--NIS is the number of time steps between samples
      NSP=10
*--NSP is the number of samples between restart and output file updates
      NPS=15
*--NPS is the number of updates to reach assumed steady flow
C      NPT=50
      NPT=1
*--NPT is the number of file updates to STOP
*
      RETURN
      END
